<?php

declare(strict_types = 1);

namespace MyApp\Model;

use MyApp\Entity\Services_disponible;
use PDO;

class Services_Disponible_Model{
    private PDO $db;

    public function __construct(PDO $db){
        $this->db = $db;
    }

    // on récup toutes les enregistrements de la BDD
    public function getAllServices_Disponible():array{
        $sql = "SELECT * FROM Services_Disponible";
        $stmt = $this->db->query($sql); // contient l'ensemble des résultats
        $services_disponible=[];
        // on organise sous forme d'un tableau les valeurs récupérées
        while($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            $services_disponible[] = new Services_disponible($row['Id_services_disponible'], $row['Service_propose']);
        }

        return $services_disponible;
    }

    public function getOneServices_Disponible(int $id):?Image_chambre{
        $sql = "SELECT * from Services_Disponible where id = :id";
        $stmt = $this->db->prepare($sql);
        $stmt->bindValue(":id", $id);
        $stmt->execute();
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        if(!$row){
            return null;
        }
        return new Services_disponible($row['Id_services_disponible'], $row['Service_propose']);
    }


}
